# IRremoteESP8266: src/ir_Dish.cpp File Reference

ir_Dish.cpp File Reference

DISH Network protocol support DISH support originally by Todd Treece. More...

## Variables

const uint16_t | kDishTick = 100
const uint16_t | kDishHdrMarkTicks = 4
const uint16_t | kDishHdrMark = kDishHdrMarkTicks * kDishTick
const uint16_t | kDishHdrSpaceTicks = 61
const uint16_t | kDishHdrSpace = kDishHdrSpaceTicks * kDishTick
const uint16_t | kDishBitMarkTicks = 4
const uint16_t | kDishBitMark = kDishBitMarkTicks * kDishTick
const uint16_t | kDishOneSpaceTicks = 17
const uint16_t | kDishOneSpace = kDishOneSpaceTicks * kDishTick
const uint16_t | kDishZeroSpaceTicks = 28
const uint16_t | kDishZeroSpace = kDishZeroSpaceTicks * kDishTick
const uint16_t | kDishRptSpaceTicks = kDishHdrSpaceTicks
const uint16_t | kDishRptSpace = kDishRptSpaceTicks * kDishTick

## Detailed Description

DISH Network protocol support DISH support originally by Todd Treece.

See also
  http://unionbridge.org/design/ircommand
  https://github.com/marcosamarinho/IRremoteESP8266/blob/master/ir_Dish.cpp
  http://www.hifi-remote.com/wiki/index.php?title=Dish

## Variable Documentation

## kDishBitMark

const uint16_t kDishBitMark = kDishBitMarkTicks * kDishTick

## kDishBitMarkTicks

const uint16_t kDishBitMarkTicks = 4

## kDishHdrMark

const uint16_t kDishHdrMark = kDishHdrMarkTicks * kDishTick

## kDishHdrMarkTicks

const uint16_t kDishHdrMarkTicks = 4

## kDishHdrSpace

const uint16_t kDishHdrSpace = kDishHdrSpaceTicks * kDishTick

## kDishHdrSpaceTicks

const uint16_t kDishHdrSpaceTicks = 61

## kDishOneSpace

const uint16_t kDishOneSpace = kDishOneSpaceTicks * kDishTick

## kDishOneSpaceTicks

const uint16_t kDishOneSpaceTicks = 17

## kDishRptSpace

const uint16_t kDishRptSpace = kDishRptSpaceTicks * kDishTick

## kDishRptSpaceTicks

const uint16_t kDishRptSpaceTicks = kDishHdrSpaceTicks

## kDishTick

const uint16_t kDishTick = 100

## kDishZeroSpace

const uint16_t kDishZeroSpace = kDishZeroSpaceTicks * kDishTick

## kDishZeroSpaceTicks

const uint16_t kDishZeroSpaceTicks = 28